agreements
Lists agreements
GET
/
api
/
agreements
Lists agreements
curl --request GET \
--url https://api.fluid.app/api/agreements \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/agreements"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/agreements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"agreements": [
{
"id": 123,
"title": "<string>",
"active": true,
"show_at_checkout": true,
"default_checked": true,
"required_on_checkout": true,
"company_country_ids": [
"<string>"
],
"description": "<string>",
"show_path": "<string>",
"language_iso": "<string>",
"required": true,
"enrollment_pack_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"company_logo": "<string>",
"attachments": [
{
"id": 123,
"url": "<string>",
"filename": "<string>",
"content_type": "<string>",
"content_size": 123,
"kind": "<string>",
"metadata": {}
}
]
}
],
"meta": {
"request_id": "<string>",
"timestamp": "<string>",
"pagination": {
"current_page": 123,
"total_pages": 123,
"total_count": 123,
"per_page": 123
}
}
}{
"message": "<string>"
}Authorizations
Bearer token authentication
Headers
Query Parameters
Sort the records by one of the supported attributes:
- title
- active
- required_on_checkout
- created_at
- updated_at The sort attribute should be followed by one of the order directives: '_asc', '_desc'
Filter agreements with their title
Filter by status
Available options:
active, inactive ⌘I
Lists agreements
